import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import { CreateAutoScalingGroupType } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateAutoScalingGroupCommandInput
  extends CreateAutoScalingGroupType {}
export interface CreateAutoScalingGroupCommandOutput extends __MetadataBearer {}
export declare class CreateAutoScalingGroupCommand extends $Command<
  CreateAutoScalingGroupCommandInput,
  CreateAutoScalingGroupCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: CreateAutoScalingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateAutoScalingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateAutoScalingGroupCommandInput,
    CreateAutoScalingGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
