import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  LaunchConfigurationNamesType,
  LaunchConfigurationsType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeLaunchConfigurationsCommandInput
  extends LaunchConfigurationNamesType {}
export interface DescribeLaunchConfigurationsCommandOutput
  extends LaunchConfigurationsType,
    __MetadataBearer {}
export declare class DescribeLaunchConfigurationsCommand extends $Command<
  DescribeLaunchConfigurationsCommandInput,
  DescribeLaunchConfigurationsCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: DescribeLaunchConfigurationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeLaunchConfigurationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeLaunchConfigurationsCommandInput,
    DescribeLaunchConfigurationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
