import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  DescribeLoadBalancersRequest,
  DescribeLoadBalancersResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeLoadBalancersCommandInput
  extends DescribeLoadBalancersRequest {}
export interface DescribeLoadBalancersCommandOutput
  extends DescribeLoadBalancersResponse,
    __MetadataBearer {}
export declare class DescribeLoadBalancersCommand extends $Command<
  DescribeLoadBalancersCommandInput,
  DescribeLoadBalancersCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: DescribeLoadBalancersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeLoadBalancersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeLoadBalancersCommandInput,
    DescribeLoadBalancersCommandOutput
  >;
  private serialize;
  private deserialize;
}
