import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  DescribeTrafficSourcesRequest,
  DescribeTrafficSourcesResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeTrafficSourcesCommandInput
  extends DescribeTrafficSourcesRequest {}
export interface DescribeTrafficSourcesCommandOutput
  extends DescribeTrafficSourcesResponse,
    __MetadataBearer {}
export declare class DescribeTrafficSourcesCommand extends $Command<
  DescribeTrafficSourcesCommandInput,
  DescribeTrafficSourcesCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: DescribeTrafficSourcesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeTrafficSourcesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeTrafficSourcesCommandInput,
    DescribeTrafficSourcesCommandOutput
  >;
  private serialize;
  private deserialize;
}
