import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import { EnableMetricsCollectionQuery } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface EnableMetricsCollectionCommandInput
  extends EnableMetricsCollectionQuery {}
export interface EnableMetricsCollectionCommandOutput
  extends __MetadataBearer {}
export declare class EnableMetricsCollectionCommand extends $Command<
  EnableMetricsCollectionCommandInput,
  EnableMetricsCollectionCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: EnableMetricsCollectionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: EnableMetricsCollectionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    EnableMetricsCollectionCommandInput,
    EnableMetricsCollectionCommandOutput
  >;
  private serialize;
  private deserialize;
}
