import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  StartInstanceRefreshAnswer,
  StartInstanceRefreshType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface StartInstanceRefreshCommandInput
  extends StartInstanceRefreshType {}
export interface StartInstanceRefreshCommandOutput
  extends StartInstanceRefreshAnswer,
    __MetadataBearer {}
export declare class StartInstanceRefreshCommand extends $Command<
  StartInstanceRefreshCommandInput,
  StartInstanceRefreshCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: StartInstanceRefreshCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StartInstanceRefreshCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    StartInstanceRefreshCommandInput,
    StartInstanceRefreshCommandOutput
  >;
  private serialize;
  private deserialize;
}
